PIRL.Image_Tools

## Class Polar_Stereographic_Spherical_Projection

- java.lang.Object
- - PIRL.Image_Tools.Projection
  - - PIRL.Image_Tools.Polar_Stereographic_Spherical_Projection

    public class Polar_Stereographic_Spherical_Projection
    extends Projection

### Field Summary

Fields
`static String` `ID` Class name and version identification.

### Fields inherited from class PIRL.Image_Tools.Projection

`Center_Latitude, CENTER_LATITUDE_PARAMETER_NAME, Center_Longitude, CENTER_LONGITUDE_PARAMETER_NAME, DBL_EPSILON, DEFAULT_NA, DEFAULT_USE_SPHERICAL, Eccentricity, EQUIRECTANGULAR_PROJECTION_NAME, Equitorial_Radius, EQUITORIAL_RADIUS_PARAMETER_NAME, Line_Offset, LINE_OFFSET_PARAMETER_NAME, Meters_per_Pixel, METERS_PER_PIXEL_PARAMETER_NAME, NA, NOT_APPLICABLE_CONSTANT_PARAMETER_NAME, Not_Identity, PI_OVER_2, PI_OVER_4, Planetocentric, PLANETOCENTRIC_PROJECTION_NAME, Polar_Radius, POLAR_RADIUS_PARAMETER_NAME, POLAR_STEREOGRAPHIC_PROJECTION_NAME, POLARSTEREOGRAPHIC_PROJECTION_NAME, POSITIVE_LONGITUDE_EAST_NAME, POSITIVE_LONGITUDE_PARAMETER_NAME, POSITIVE_LONGITUDE_WEST_NAME, Positive_West, PROJECTION_LATITUDE_PARAMETER_NAME, PROJECTION_PARAMETER_NAME, Sample_Offset, SAMPLE_OFFSET_PARAMETER_NAME`

### Constructor Summary

Constructors
Constructor and Description
`Polar_Stereographic_Spherical_Projection(Parameter parameters)`

### Method Summary

Methods
`String` `Name()`
`Point` `to_Image(Point2D world_coordinate)` Get the image sample,line coordinate for a world longitude,latitude coordinate.
`Point2D.Double` `to_World(Point2D image_coordinate)` Get the world longitude,latitude coordinate for an image sample,line coordinate.

### Methods inherited from class PIRL.Image_Tools.Projection

`Center_Latitude, Center_Longitude, Create, Decimal_Degrees, Degrees_Minutes_Seconds, Eccentricity, Eccentricity, Equitorial_Radius, Find_Parameter, Hours_Minutes_Seconds, Is_Identity, Line_Offset, Line_to_Projection_Y, Local_Radius, main, Planetocentric_to_Planetographic, Planetocentric, Planetocentric, Planetographic_to_Planetocentric, Polar_Radius, Positive_West, Positive_West, Projection_Class_Name, Projection_X_to_Sample, Projection_Y_to_Line, Resolution, Sample_Offset, Sample_to_Projection_X, To_180, To_360, Usage, Use_Spherical`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID

    public static final String ID

Class name and version identification.

See Also:
  Constant Field Values

### Constructor Detail

#### Polar_Stereographic_Spherical_Projection

    public Polar_Stereographic_Spherical_Projection(Parameter parameters)
                                             throws PVL_Exception

Throws:
  `PVL_Exception`

### Method Detail

#### Name

    public String Name()

Overrides:
  `Name` in class `Projection`

#### to_World

    public Point2D.Double to_World(Point2D image_coordinate)
                            throws IllegalArgumentException,
                                   ArithmeticException

Get the world longitude,latitude coordinate for an image sample,line coordinate.

The conversion algorithm is:

Overrides:
  `to_World` in class `Projection`
Parameters:
  `image_coordinate` - The image sample,line coordinate.
Returns:
  The world longitude,latitude coordinate. The `x` value of the coordinate Point2D is the longitude; the `y` value is the latitude. Values are in degrees within the range 0-360.
Throws:
  `IllegalArgumentException`
  `ArithmeticException`

#### to_Image

    public Point to_Image(Point2D world_coordinate)
                   throws IllegalArgumentException

Get the image sample,line coordinate for a world longitude,latitude coordinate.

The conversion algorithm is:

Overrides:
  `to_Image` in class `Projection`
Parameters:
  `world_coordinate` - The world longitude,latitude coordinate. The `x` value of the coordinate Point2D is the longitude; the `y` value is the latitude. Values are in degrees.
Returns:
  The image sample,line coordinate.
Throws:
  `IllegalArgumentException`